# A Windows Autorun file parser in Python for the WineDoors project.
# (c) Copyright Andrew Stormont 2007
#
# Probably doesn't work with mult-disc installers, but its a start.
#
# FIXME: For some reason this prevents the CD from being ejected.
# GNOME says "an application is preventing this CD from being ejected."

import os, string, re
from utils import GetCD

class Autorun:

    def __init__(self):
        self.gui = True

    # Looks for value in the inf
    # Usefull for looking up CD name/cheking disc number...
    def inf(self, value):
        match_value = re.compile(value + "=.*", re.IGNORECASE)

        try:
            inf = open(GetCD() + "/autorun.inf")
            for line in inf:
                if match_value.search(line) != None:
                    match_value = match_value.search(line)
                    match_value = match_value.group().lower()
                    match_value = match_value.replace(value + "=", "")
                    match_value = match_value.replace("\r", "")
                    inf.close()
                    return match_value
            inf.close()

        finally:
            pass

    def start(self, args=None):
        os.chdir(GetCD())
        os.system("wine " + self.inf("open"))

autorun = Autorun()
